compiz crashed with SIGSEGV in nux::GpuRenderStates::SubmitChangeStates()

Bug #719156 reported by MoLE on 2011-02-15
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Jay Taoko
Unity
Fix Released
Medium
Unassigned
nux (Ubuntu)
Medium
Unassigned
unity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: compiz

logging into natty session using "ubuntu desktop" session option (ie: not 'safe mode')

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: compiz-core 1:0.9.2.1+glibmainloop4-0ubuntu11
ProcVersionSignature: Ubuntu 2.6.38-3.30-generic 2.6.38-rc4
Uname: Linux 2.6.38-3-generic i686
Architecture: i386
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1400x1050 1280x1024 1280x960 1280x854 1280x800 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
 edid-base64:
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Tue Feb 15 15:48:57 2011
Disassembly: => 0x0: Cannot access memory at address 0x0
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
ExecutablePath: /usr/bin/compiz
GraphicsCard: Subsystem: Acer Incorporated [ALI] Device [1025:001f]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110209)
MachineType: Acer TravelMate 800
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   product info: "O2Micro", "SmartCardBus Reader", "V1.0", ""
   manfid: 0xffff, 0x0001
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   5.0V 16-bit PC Card
   Subdevice 0 (function 0) [unbound]
ProcCmdline: /usr/bin/compiz
ProcEnviron:
 LANGUAGE=en_AU:en
 LANG=en_AU.UTF-8
 LC_MESSAGES=en_AU.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-3-generic root=UUID=dd267858-5cd6-488d-baaa-f103990dd6bc ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x0: Cannot access memory at address 0x0
 PC (0x00000000) not located in a known VMA region (needed executable region)!
SegvReason: executing NULL VMA
Signal: 11
SourcePackage: compiz
StacktraceTop:
 ?? ()
 nux::GpuRenderStates::SubmitChangeStates() () from /usr/lib/libnux-graphics-0.9.so.0
 nux::WindowThread::RenderInterfaceFromForeignCmd() () from /usr/lib/libnux-0.9.so.0
 UnityScreen::paintDisplay(CompRegion const&) () from /usr/lib/compiz/libunityshell.so
 UnityWindow::glDraw(GLMatrix const&, GLFragment::Attrib&, CompRegion const&, unsigned int) () from /usr/lib/compiz/libunityshell.so
Title: compiz crashed with SIGSEGV in nux::GpuRenderStates::SubmitChangeStates()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (nautilus:1324): GConf-CRITICAL **: gconf_value_free: assertion `value != NULL' failed
 (nm-applet:1329): Gdk-CRITICAL **: IA__gdk_window_thaw_toplevel_updates_libgtk_only: assertion `private->update_and_descendants_freeze_count > 0' failed
 (nm-applet:1329): Gtk-CRITICAL **: IA__gtk_widget_is_toplevel: assertion `GTK_IS_WIDGET (widget)' failed
dmi.bios.date: 03/02/2004
dmi.bios.vendor: ACER
dmi.bios.version: 4A20
dmi.board.name: TravelMate 800
dmi.board.vendor: Acer
dmi.board.version: Rev 1.0
dmi.chassis.asset.tag: ��������������������������������
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: Rev.1
dmi.modalias: dmi:bvnACER:bvr4A20:bd03/02/2004:svnAcer:pnTravelMate800:pvrRev1:rvnAcer:rnTravelMate800:rvrRev1.0:cvnAcer:ct10:cvrRev.1:
dmi.product.name: TravelMate 800
dmi.product.version: Rev 1
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.2.1+glibmainloop4-0ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10-1ubuntu1
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu4
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.13.2+git20110124.fadee040-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-1ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu4

MoLE (moleonthehill) wrote :

StacktraceTop:
 ?? ()
 nux::WindowThread::RenderInterfaceFromForeignCmd (
 ?? ()

tags: added: apport-failed-retrace
tags: removed: need-i386-retrace
tags: added: compiz-0.9
visibility: private → public
tags: added: need-i386-retrace
removed: apport-failed-retrace

StacktraceTop:
 ?? ()
 nux::GpuRenderStates::SubmitChangeStates() () from /usr/lib/libnux-graphics-0.9.so.0
 nux::WindowThread::ComputeQueuedLayout() () from /usr/lib/libnux-0.9.so.0
 global constructors keyed to Tooltip.cpp () from /usr/lib/compiz/libunityshell.so
 WindowButtons::OnMinimizeClicked() () from /usr/lib/compiz/libunityshell.so

Changed in compiz (Ubuntu):
importance: Undecided → Medium
affects: compiz (Ubuntu) → unity (Ubuntu)
tags: removed: need-i386-retrace
Alex Launi (alexlauni) on 2011-03-03
Changed in nux:
assignee: nobody → Jay Taoko (jaytaoko)
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
Didier Roche (didrocks) on 2011-03-03
Changed in nux (Ubuntu):
status: New → Confirmed
Alex Launi (alexlauni) on 2011-03-03
Changed in nux:
importance: Undecided → Medium
Changed in nux (Ubuntu):
importance: Undecided → Medium
Changed in unity:
importance: Undecided → Medium
Neil J. Patel (njpatel) on 2011-03-07
tags: added: unity-priority
tags: added: dids-top-ten
Jay Taoko (jaytaoko) wrote :

Possibly an issue with support for ext_stencil_two_side on ATI GPUs on older hardware.
A fix has been committed so to use only the regular stencil op (no need for ext_stencil_two_side or ati_separate_stencil support).

Changed in nux:
status: Confirmed → Fix Committed
Changed in unity:
status: Confirmed → Fix Committed
Changed in nux (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-03-08
Changed in unity:
milestone: none → 3.6.4
Didier Roche (didrocks) on 2011-03-10
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.32-0ubuntu1

---------------
nux (0.9.32-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::basic_string<char,
      std::char_traits<char>, std::allocator<char> >::assign() (LP: #729412)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #724903)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #723531)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #723158)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #727895)
  * debian/rules:
    - bump shlib
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:51:23 +0100

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.